
QGIS Application - Bug report #3772

qgis 1.6 crash if want save project

2011-04-25 03:06 AM - bo27up -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13831

Description

Hello,

if I open and want to save the qgis crashes and the project file is damaged. This are the three last crash-protokolls:

Apr 25 11:19:21 jojo kernel: [ 8726.063961] qgis.binr3778: segfault at 4 ip 00007f9ca97b2de7 sp 00007fffabad6210 error 4 in

libgcc_s.so.1[7f9ca97a3000+16000]

Apr 25 11:32:53 jojo kernel: [ 9538.353571] qgis.binr3935: segfault at 7ffffcb28080 ip 00007f1b1c3a028a sp 00007ffffcb1a598

error 4 in libc-2.11.1.so[7f1b1c318000+17a000]

Apr 25 11:33:21 jojo kernel: [ 9566.617702] qgis.binr3967: segfault at 4 ip 00007f0cfda3ade7 sp 00007ffff6f17990 error 4 in

libgcc_s.so.1[7f0cfda2b000+16000]

My OS is: Ubuntu 10.04 - 64bit

History

#1 - 2011-04-25 03:24 AM - Giovanni Manghi

please attach/link a sample of data (project+data) to try replicate locally.

#2 - 2011-04-25 09:18 AM - bo27up -

Replying to [comment:1 lutra]:

please attach/link a sample of data (project+data) to try replicate locally.

Thank you for fast reply!

I'm working with Grass Plugin on QGIS. Here are the steps which leads to a crash.

1. Load a Polygon (Grass-)Data

2. Load Raster (Grass-)Data

3. Try to save Project => Crash, Project Data is damaged

4. Open Project again (project data was saved on another place before)
5. Close Raster Data, then try to save => it works!

6. Close Project and restart Project (only Polygon Data is loaded as saved before)

7. Try to save => it works!

8. Then open Raster Data again and try to save (Polygon and Raster) => it works!

9. Close Project and restart Project again

10. Try to save => Crash, Project Data is damaged.

11. If I repeat step 4. until 10. I get the same behavior as decribes.

So QGIS crashes if Polygon and Raster Data is loaded, but only after second save-process. In the first time when its loaded (Polygon and Raster), its no

problem with saving. After restart the Project the save-process crashes every time. If there is only Polygon Data loaded, there is no problem.

It's not possible for me to attach Data because there is a limit of 256kb. I will try to generate smaller sample data.

#3 - 2011-04-25 09:34 AM - Giovanni Manghi

I'm using qgis trunk on ubuntu 10.04 32 bit.

1. Load a Polygon (Grass-)Data

2. Load Raster (Grass-)Data

3. Try to save Project => Crash, Project Data is damaged

not replicable here.

4. Open Project again (project data was saved on another place before)

5. Close Raster Data, then try to save => it works!

6. Close Project and restart Project (only Polygon Data is loaded as saved before)

7. Try to save => it works!

no problem here also

8. Then open Raster Data again and try to save (Polygon and Raster) => it works!

no problem here also

9. Close Project and restart Project again

10. Try to save => Crash, Project Data is damaged.
not replicable here.

It's not possible for me to attach Data because there is a limit of 256kb.

link it instead of attaching it.

#4 - 2011-04-25 10:12 AM - bo27up -

I attached the Data. Every time when I start the Project by double clicking the Project-file and then directly try to save the Project it crashes.

Remarkable is, that I get sometimes an error in libgcc_s.so.1 and sometimes in libc-2.11.1.so , by doing everytime the same (Open Project-file -> try to

save Project => crash!)

Apr 25 18:53:13 jojo kernel: [35958.239523] qgis.binr9857: segfault at 4 ip 00007f6dc8e8ade7 sp 00007ffff1c31a90 error 4 in

libgcc_s.so.1[7f6dc8e7b000+16000]

Apr 25 18:53:45 jojo kernel: [35990.008852] qgis.binr9898: segfault at 7fff031080b0 ip 00007f0b37f1d28a sp 00007fff030fac98 error 4 in

libc-2.11.1.so[7f0b37e95000+17a000]

Apr 25 18:54:41 jojo kernel: [36046.662629] qgis.binr9945: segfault at 4 ip 00007f9098b02de7 sp 00007fff8659d9f0 error 4 in

libgcc_s.so.1[7f9098af3000+16000]

Apr 25 18:55:49 jojo kernel: [36114.285668] qgis.binr10004 general protection ip:7f4aba642de7 sp:7fffc4b317a0 error:0 in

libgcc_s.so.1[7f4aba633000+16000]

#5 - 2011-04-25 10:16 AM - Giovanni Manghi

The attached data works fine with trunk and ubuntu 32 bit. Please try qgis trunk and report back.

#6 - 2011-04-25 12:02 PM - bo27up -

Replying to [comment:6 lutra]:

The attached data works fine with trunk and ubuntu 32 bit. Please try qgis trunk and report back.

Ok, I tried it with Trunk and 1.6 on a Virtual Machine (Ubuntu 10.04 - 64bit) and both works fine. Any Idea what I could try to fix the crashes on my

machine? Maybe uninstall and install qgis 1.6 ?

#7 - 2011-04-25 12:10 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to worksforme

Replying to [comment:7 bo27up]:

Maybe uninstall and install qgis 1.6 ?

should be easy to test.
Meanwhile I'll close this ticket. Reopen it if you find a way to replicate the problem.

#8 - 2011-04-25 01:03 PM - bo27up -

- Status changed from Closed to Feedback

- Resolution deleted (worksforme)

I found the "evildoer". It's a Python Plugin calls "SDA4PP".

My last Crash-Protokol was this here:

Apr 25 21:41:50 jojo kernel: [  540.742948] qgis.binr1978: segfault at 0 ip 00007fb5f16ce87b sp 00007fff55a1a220 error 4 in

libR.so[7fb5f15fe000+2bb000]

So I guess first it's the Plugin "manageR", but after I'd uninstall Plugin's which use the R librarys I find out that SDA4PP is the Problem! Without this Plugin

it works fine.

#9 - 2011-04-26 01:11 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

SDA4PP is a 3rd party plugin, so the issue has to be filed directly to the author. In a few days/weeks will be published also the bug tracker for plugins, so if

no feedback is given will be also possible to file a ticket there.

Files

grassdata.tar.gz 54.5 KB 2011-04-25 bo27up -
